org.apache.ode.bpel.o

## Class OWait

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent
    - - org.apache.ode.bpel.o.OActivity
      - - org.apache.ode.bpel.o.OWait

- All Implemented Interfaces:
    java.io.Serializable

      public class OWait
      extends OActivity

  Wait object
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OExpression` | `forExpression`
    `OExpression` | `untilExpression`

    - ### Fields inherited from class org.apache.ode.bpel.o.OActivity

      `failureHandling, joinCondition, name, sourceLinks, suppressJoinFailure, targetLinks`

    - ### Fields inherited from class org.apache.ode.bpel.o.OAgent

      `incomingLinks, nested, outgoingLinks, variableRd, variableWr`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OWait(OProcess owner, OActivity parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasFor()` Is wait a duration?
    `boolean` | `hasUntil()` Is wait an until?

    - ### Methods inherited from class org.apache.ode.bpel.o.OActivity

      `digest, getFailureHandling, getParent, getType, setFailureHandling, toString`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### forExpression

          public OExpression forExpression

    - #### untilExpression

          public OExpression untilExpression

  - ### Constructor Detail

    - #### OWait

          public OWait(OProcess owner,
                       OActivity parent)

  - ### Method Detail

    - #### hasFor

          public boolean hasFor()

      Is wait a duration?
      Returns:

    - #### hasUntil

          public boolean hasUntil()

      Is wait an until?
      Returns: